Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.exception
Class WrongValueTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              de.jsystems.tools.exception.BaseException
                  de.jsystems.framework.common.exception.WrongValueTypeException

All Implemented Interfaces:
  Serializable

public class WrongValueTypeException
extends BaseException

Exception die ausgeloest wird wenn bei einem `DynamicItem` versucht wird den Wert eines Attributes zu setzen, wobei der Typ des neuen Wertes nicht zum Typ des Attributes passt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  `DynamicItem.setValue(String, Object)`, Serialized Form

Field Summary

Fields inherited from class de.jsystems.tools.exception.BaseException
`LEVEL_ERROR, LEVEL_FATAL, LEVEL_WARNING, LOG_ERROR, LOG_FATAL_ERROR, LOG_NONE, LOG_WARNING`

Fields inherited from class java.lang.Exception
``

Constructor Summary
`WrongValueTypeException(String message)` Erzeugt eine neue Exception, wobei der Grund der Exception gleich mit angegeben werden kann.

Methods inherited from class de.jsystems.tools.exception.BaseException
`getLevel, getOrigin, getOriginMessage, getSource, logException, logException, showMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrongValueTypeException

    public WrongValueTypeException(String message)

  Erzeugt eine neue Exception, wobei der Grund der Exception gleich mit angegeben werden kann.

Parameters:
  `message` - Eine geauere Beschreibung, warum die Exception ausgeloest wurde.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD